import type { ExpectedRequest } from './expectedRequest';
import type { Verb } from './mockHttpUtils';
export declare class ReceivedRequest {
    verb: Verb;
    url: string;
    params: object;
    data: any;
    expectedRequest: ExpectedRequest;
    constructor(verb: Verb, url: string, params: object, data: any, expectedRequest: ExpectedRequest);
    isExpected: () => boolean;
    isFlushed: () => boolean;
    responseDeferred: import("./mockHttpUtils").IDeferred;
    flushResponse(): Promise<unknown>;
}
